Package org.h2gis.functions.spatial.operators

## Class ST_Difference

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.operators.ST_Difference

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_Difference
    extends org.h2gis.api.DeterministicScalarFunction

Compute the difference between two Geometries.

Author:
  Nicolas Fortin

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_Difference()` Default constructor

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.locationtech.jts.geom.Geometry` `difference​(org.locationtech.jts.geom.Geometry a, org.locationtech.jts.geom.Geometry b)`
`static org.locationtech.jts.geom.Geometry` `difference​(org.locationtech.jts.geom.Geometry a, org.locationtech.jts.geom.Geometry b, double gridSize)`
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_Difference

    public ST_Difference()

Default constructor

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### difference

    public static org.locationtech.jts.geom.Geometry difference​(org.locationtech.jts.geom.Geometry a,
                                                                org.locationtech.jts.geom.Geometry b)
                                                         throws SQLException

Parameters:
  `a` - Geometry instance.
  `b` - Geometry instance
Returns:
  the difference between two geometries
Throws:
  `SQLException`

#### difference

    public static org.locationtech.jts.geom.Geometry difference​(org.locationtech.jts.geom.Geometry a,
                                                                org.locationtech.jts.geom.Geometry b,
                                                                double gridSize)
                                                         throws SQLException

Parameters:
  `a` - Geometry instance.
  `b` - Geometry instance
  `gridSize` - size of a grid to snap the input geometries
Returns:
  the difference between two geometries
Throws:
  `SQLException`